SplHeap
SplMaxHeap
SplHeap
PHP Manual

# SplHeap::valid

(No version information available, might be only in CVS)

SplHeap::valid — Check whether the heap contains more nodes

### Description

bool SplHeap::valid ( void )

Checks if the heap contains any more nodes.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the heap contains any more nodes, `FALSE` otherwise.

SplHeap
SplMaxHeap
SplHeap
PHP Manual